Subject: bug#37074: 27.0.50; Emacs Lisp mode: Special form names used as variable names sometimes have font-lock-keyword-face

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 20 May 2022 03:47:10 +0200

Mauro Aranda <[email-masked]> writes:

> Starting from emacs -Q, in the *scratch* buffer type:
> (let ((function 'foo))
>   function)
>
> Note that function gets the font-lock-keyword-face.  I think it shouldn't,
> because it is being used as a variable.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This has been fixed by now.

> Similarly, if you type:
> (defun foo (function)
>   nil)
> the same happens.

And I fixed this in Emacs 29 now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no